## kongress 1.0.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.0)

project(kongress VERSION "1.0.1")

set(KF5_MIN_VERSION "5.63.0")
set(QT_MIN_VERSION "5.7.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(REMINDERS_ENABLED "Build with reminders support" ON)

include(CTest)
include(FeatureSummary)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPoQmTools)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Core Quick Gui Svg Qml QuickControls2 Network)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)

if (ANDROID)
    # runtime dependencies are build-time dependencies on Android
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS AndroidExtras)
    find_package(OpenSSL REQUIRED)
else()
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()
if (BUILD_TESTING)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()
if(NOT ANDROID AND REMINDERS_ENABLED)
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS DBusAddons Notifications Service)
endif()

add_subdirectory(src)

if(NOT ANDROID AND REMINDERS_ENABLED)
    add_subdirectory(kongressac)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

install(FILES org.kde.kongress.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(PROGRAMS org.kde.kongress.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kongress.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kongressac/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kongressac\")

set(kongressac_SRCS
    calalarmclient.cpp
    kongressacmain.cpp
    alarmsmodel.cpp
    alarmnotification.cpp
    notificationhandler.cpp
    solidwakeupbackend.cpp
    wakeupmanager.cpp
)

qt5_add_dbus_adaptor(kongressac_SRCS org.kde.kongressac.xml calalarmclient.h CalAlarmClient)
qt5_add_dbus_adaptor(kongressac_SRCS org.kde.wakeupmanager.PowerManagement.xml wakeupmanager.h WakeupManager)

add_executable(kongressac ${kongressac_SRCS} ${RESOURCES})

target_link_libraries(kongressac
    KF5::CalendarCore
    KF5::DBusAddons
    KF5::Notifications
    KF5::Service
    KF5::I18n
    Qt5::DBus
    )

install(TARGETS
    kongressac ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

install(FILES kongressac.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
set(SERV_EXEC ${KDE_INSTALL_FULL_BINDIR}/kongressac)
configure_file(org.kde.kongressac.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kongressac.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kongressac.service DESTINATION ${KDE_INSTALL_FULL_DBUSSERVICEDIR})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

if (NOT STATIC_LIBRARY)
    ecm_create_qm_loader(kongress_QM_LOADER kongress)
endif()

set(kongress_SRCS
    main.cpp
    settingscontroller.cpp
    calendarcontroller.cpp
    localcalendar.cpp
    eventmodel.cpp
    eventcontroller.cpp
    conference.cpp
    conferencecontroller.cpp
    conferencemodel.cpp
    alarmchecker.cpp
    resources.qrc
    )

add_executable(kongress ${kongress_SRCS} ${RESOURCES})
target_link_libraries(kongress PRIVATE Qt5::Core Qt5::Qml Qt5::Quick Qt5::Svg Qt5::QuickControls2 Qt5::Network Qt5::DBus KF5::ConfigCore KF5::I18n KF5::CalendarCore KF5::CoreAddons)
if (BUILD_TESTING)
    target_link_libraries(kongress PRIVATE Qt5::Test)
endif()

if (ANDROID)
    target_link_libraries(kongress PRIVATE
        KF5::Kirigami2
        Qt5::Svg
        OpenSSL::SSL
        Qt5::AndroidExtras
    )

    kirigami_package_breeze_icons(ICONS
        delete
        documentinfo
        edit-select
        dialog-warning-symbolic
        exchange-positions
        favorite
        find-location
        group
        internet-services
        view-calendar-agenda
        view-calendar-day
        settings-configure
        category
        help-about-symbolic
    )
else()
    target_link_libraries(kongress PRIVATE Qt5::Widgets)
endif()

install(TARGETS kongress ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kongress (1.0.1-2) unstable; urgency=medium


  [ Aurélien COUDERC ]
  * Switch maintainer email address to the alioth-lists.debian.net
    domain.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update upstream metadata.
  * Add lintian override for kongress not having a manpage.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 02 Jan 2023 23:51:47 +0100

kongress (1.0.1-1) unstable; urgency=medium

  * New upstream release (1.0.1):
    - Fix display of talk time on notifications
    - Prevent kongressac from crashing
    - Fix grouping of talks into conference days
    - Fix alarm schedule time
    - Prevent duplicate conference entries from being displayed
    - Do not display generic, multi-day calendar events on the daily schedule
    - Fix translation congiguration
  * Minor fixes to debian/copyright.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 29 Mar 2021 10:42:07 +0200

kongress (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #981109)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Jan 2021 16:26:16 +0100

=== debian/control ===
Source: kongress
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.63.0~),
               kirigami2-dev (>= 5.63.0~),
               libkf5calendarcore-dev (>= 5:5.63.0~),
               libkf5config-dev (>= 5.63.0~),
               libkf5coreaddons-dev (>= 5.63.0~),
               libkf5dbusaddons-dev (>= 5.63.0~),
               libkf5i18n-dev (>= 5.63.0~),
               libkf5notifications-dev (>= 5.63.0~),
               libkf5service-dev (>= 5.63.0~),
               libqt5svg5-dev (>= 5.7.0~),
               libssl-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qtquickcontrols2-5-dev (>= 5.7.0~),
               qttools5-dev (>= 5.7.0~),
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kongress
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kongress
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kongress.git
Rules-Requires-Root: no

Package: kongress
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtqml,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: companion application for conferences made by KDE
 Kongress provides practical information about conferences. It supports
 conferences that offer their schedule in iCalendar format. In Kongress, the
 data of the talks are shown in various ways, e.g. in daily views, by talk
 category, etc. The users can also create a list of favorite conference
 talks/events as well as they can navigate to the web page of each talk. A map
 of the conference venue, location information and link to OpenStreetMap can
 also be added.

## kongress 23.08.0

=== debian/changelog ===
kongress (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:57:22 +0100

kongress (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:36:58 +0100

kongress (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:51:05 +0100

kongress (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update upstream signing key, copied from qmlkonsole
  * Update upstream signing keys, copied from k3b
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:07 +0100

## kongress 23.08.1

=== debian/changelog ===
kongress (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:02:23 +0100

## kongress 23.08.4

=== debian/changelog ===
kongress (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:18:31 +0000

kongress (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:38:34 +0000

kongress (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:34:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kongress
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
@@ -23,8 +24,8 @@
                qttools5-dev (>= 5.7.0~),
 Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/kongress
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kongress
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kongress.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
 Rules-Requires-Root: no
 
 Package: kongress

## kongress 23.08.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kongress VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "5.95.0")
set(QT_MIN_VERSION "5.15.2")
if (ANDROID)
    set(QT_MIN_VERSION "5.15.10")
endif()
set (KDE_COMPILERSETTINGS_LEVEL "5.82.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(REMINDERS_ENABLED "Build with reminders support" ON)

include(CTest)
include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMDeprecationSettings)


ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KONGRESS
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg Qml QuickControls2 Network)

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.101.0
    )


if (ANDROID)
    find_package(OpenSSL REQUIRED)
else()
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()
if (BUILD_TESTING)
    find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()
if(NOT ANDROID AND REMINDERS_ENABLED)
    find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons Notifications)
endif()

add_subdirectory(src)

if(NOT ANDROID AND REMINDERS_ENABLED)
    add_subdirectory(kongressac)
endif()

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

install(FILES org.kde.kongress.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(PROGRAMS org.kde.kongress.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kongress.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kongressac/CMakeLists.txt ===
--- 
+++ 
@@ -14,25 +14,26 @@
     wakeupmanager.cpp
 )
 
-qt5_add_dbus_adaptor(kongressac_SRCS org.kde.kongressac.xml calalarmclient.h CalAlarmClient)
-qt5_add_dbus_adaptor(kongressac_SRCS org.kde.wakeupmanager.PowerManagement.xml wakeupmanager.h WakeupManager)
+qt_add_dbus_adaptor(kongressac_SRCS org.kde.kongressac.xml calalarmclient.h CalAlarmClient)
+qt_add_dbus_adaptor(kongressac_SRCS org.kde.wakeupmanager.PowerManagement.xml wakeupmanager.h WakeupManager)
 
 add_executable(kongressac ${kongressac_SRCS} ${RESOURCES})
 
 target_link_libraries(kongressac
-    KF5::CalendarCore
-    KF5::DBusAddons
-    KF5::Notifications
-    KF5::Service
-    KF5::I18n
-    Qt5::DBus
+    KF${QT_MAJOR_VERSION}::CoreAddons
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::CalendarCore
+    KF${QT_MAJOR_VERSION}::DBusAddons
+    KF${QT_MAJOR_VERSION}::Notifications
+    KF${QT_MAJOR_VERSION}::I18n
+    Qt::DBus
     )
 
 install(TARGETS
     kongressac ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
     )
 
-install(FILES kongressac.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
+install(FILES kongressac.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
 set(SERV_EXEC ${KDE_INSTALL_FULL_BINDIR}/kongressac)
 configure_file(org.kde.kongressac.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kongressac.service)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

set(kongress_SRCS
    main.cpp
    settingscontroller.cpp
    calendarcontroller.cpp
    localcalendar.cpp
    eventmodel.cpp
    eventcontroller.cpp
    conference.cpp
    conferencecontroller.cpp
    conferencemodel.cpp
    alarmchecker.cpp
    resources.qrc
    )

add_executable(kongress ${kongress_SRCS} ${RESOURCES})
target_link_libraries(kongress PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::QuickControls2 Qt::Network KF${QT_MAJOR_VERSION}::ConfigCore KF${QT_MAJOR_VERSION}::I18n KF${QT_MAJOR_VERSION}::CalendarCore KF${QT_MAJOR_VERSION}::CoreAddons)
if (BUILD_TESTING)
    target_link_libraries(kongress PRIVATE Qt::Test)
endif()

target_include_directories(kongress PRIVATE ${CMAKE_BINARY_DIR})

if (ANDROID)
    target_link_libraries(kongress PRIVATE
        KF${QT_MAJOR_VERSION}::Kirigami2
        Qt::Svg
        OpenSSL::SSL
    )

    kirigami_package_breeze_icons(ICONS
        delete
        documentinfo
        edit-select
        dialog-warning-symbolic
        exchange-positions
        favorite
        find-location
        group
        internet-services
        view-calendar-agenda
        view-calendar-day
        settings-configure
        category
        help-about-symbolic
        document-export
        folder-open
        draw-arrow-back
    )
else()
    target_link_libraries(kongress PRIVATE Qt::Widgets Qt::DBus)
endif()

install(TARGETS kongress ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kongress (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:37:59 +1100

kongress (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:11:47 +0000

kongress (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 14 Mar 2024 00:56:08 +0000

## kongress 24.12.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kongress VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.1.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(REMINDERS_ENABLED "Build with reminders support" ON)

include(CTest)
include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMAddAndroidApk)
include(ECMQmlModule)
include(KDEClangFormat)
include(KDEGitCommitHooks)


ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KONGRESS
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg Qml QuickControls2 Network)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
find_package(KF6KirigamiAddons 1.0 REQUIRED)
find_package(KOSMIndoorMap REQUIRED)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)


if (ANDROID)
    find_package(OpenSSL REQUIRED)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS ColorScheme)
else()
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash)
endif()
if (BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Test)
endif()
if(NOT ANDROID AND REMINDERS_ENABLED)
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS DBusAddons Notifications)
endif()

add_subdirectory(src)

if(NOT ANDROID AND REMINDERS_ENABLED)
    add_subdirectory(kongressac)
endif()

if (ANDROID)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

if (NOT ANDROID)
    install(FILES org.kde.kongress.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
    install(PROGRAMS org.kde.kongress.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.kongress.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)
else()
    install(FILES org.kde.kongress.svg DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Dimitris Kardarakos <dimkard@posteo.net>
#
# SPDX-License-Identifier: BSD-2-Clause

set(kongress_SRCS
    main.cpp
    settingscontroller.cpp
    calendarcontroller.cpp
    localcalendar.cpp
    eventmodel.cpp
    eventcontroller.cpp
    conference.cpp
    conferencecontroller.cpp
    conferencemodel.cpp
    alarmchecker.cpp

    settingscontroller.h
    calendarcontroller.h
    localcalendar.h
    eventmodel.h
    eventcontroller.h
    conference.h
    conferencecontroller.h
    conferencemodel.h
    alarmchecker.h
    )

add_executable(kongress ${kongress_SRCS} ${RESOURCES})

ecm_add_qml_module(kongress URI "org.kde.kongress" VERSION 0.1)

ecm_target_qml_sources(kongress SOURCES
    contents/ui/Main.qml
    contents/ui/GlobalDrawer.qml
    contents/ui/ScheduleView.qml
    contents/ui/FavoritesView.qml
    contents/ui/IndoorMapView.qml
    contents/ui/MapView.qml
    contents/ui/Conferences.qml
    contents/ui/EventInfo.qml
    contents/ui/SettingsView.qml
)

target_link_libraries(kongress PRIVATE Qt::Core Qt::Qml Qt::Quick Qt::Svg Qt::QuickControls2 Qt::Network KF6::ConfigCore KF6::I18n KF6::CalendarCore KF6::CoreAddons)
if (BUILD_TESTING)
    target_link_libraries(kongress PRIVATE Qt::Test)
endif()

target_include_directories(kongress PRIVATE ${CMAKE_BINARY_DIR})

if (ANDROID)
    target_link_libraries(kongress PRIVATE
        KF6::Kirigami2
        KF6::ColorScheme
        Qt::Svg
        OpenSSL::SSL
    )

    if(TARGET KF6::I18nQml)
        target_link_libraries(kongress PUBLIC
            KF6::I18nQml
        )
    endif()

    kirigami_package_breeze_icons(ICONS
        arrow-down
        arrow-up
        category
        delete
        dialog-warning-symbolic
        documentinfo
        document-export
        draw-arrow-back
        edit-select
        emblem-error
        emblem-warning
        exchange-positions
        favorite
        find-location
        folder-open
        go-down-symbolic
        go-next
        go-up-symbolic
        group
        help-about-symbolic
        internet-services
        map-globe
        map-symbolic
        search
        settings-configure
        update-none
        user-symbolic
        view-calendar-agenda
        view-calendar-day
    )

    ecm_add_android_apk(kongress ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(kongress PRIVATE Qt::Widgets Qt::DBus KF6::Crash)
    if(TARGET KF6::I18nQml)
        target_link_libraries(kongress PUBLIC
            KF6::I18nQml
        )
    endif()
endif()

install(TARGETS kongress ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kongress (24.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Package moved to the KDE Gear set.
  * Add/update Heiko Becker’s key in upstream keyring.
  * New upstream release (24.12.2).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies.
  * Refresh upstream metadata.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 13 Feb 2025 22:27:24 +0100

=== debian/control ===
Source: kongress
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.1.0~),
               kirigami-addons-dev (>= 1.0~),
               kosmindoormap-dev,
               libkf6calendarcore-dev (>= 6.1.0~),
               libkf6colorscheme-dev (>= 6.1.0~),
               libkf6config-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6crash-dev (>= 6.1.0~),
               libkf6dbusaddons-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6notifications-dev (>= 6.1.0~),
               libkirigami-dev (>= 6.1.0~),
               libssl-dev,
               pkg-kde-tools,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/kongress
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kongress
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kongress.git
Rules-Requires-Root: no

Package: kongress
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: companion application for conferences made by KDE
 Kongress provides practical information about conferences. It supports
 conferences that offer their schedule in iCalendar format. In Kongress, the
 data of the talks are shown in various ways, e.g. in daily views, by talk
 category, etc. The users can also create a list of favorite conference
 talks/events as well as they can navigate to the web page of each talk. A map
 of the conference venue, location information and link to OpenStreetMap can
 also be added.

## kongress 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})
@@ -49,7 +49,7 @@
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
 find_package(KF6KirigamiAddons 1.0 REQUIRED)
 find_package(KOSMIndoorMap REQUIRED)
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.12.0)
 
 
 if (ANDROID)

=== debian/changelog ===
kongress (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:45:34 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/kongress
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kongress
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kongress.git
@@ -34,9 +34,7 @@
 
 Package: kongress
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: companion application for conferences made by KDE
  Kongress provides practical information about conferences. It supports
  conferences that offer their schedule in iCalendar format. In Kongress, the

## kongress 25.04.3

=== debian/changelog ===
kongress (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:49:04 +0100

kongress (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:52:28 +0100

kongress (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:11:40 +0100

kongress (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Add pkgconf build depend.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:55:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kongress
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev,
+               kosmindoormap-dev (>= 25.04.3~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),
@@ -21,20 +22,23 @@
                libkirigami-dev (>= 6.1.0~),
                libssl-dev,
                pkg-kde-tools,
+               pkgconf,
                qml6-module-qtlocation,
                qml6-module-qtpositioning,
                qt6-base-dev (>= 6.5.0~),
                qt6-declarative-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/kongress
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kongress
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kongress.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
 Rules-Requires-Root: no
 
 Package: kongress
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: companion application for conferences made by KDE
  Kongress provides practical information about conferences. It supports
  conferences that offer their schedule in iCalendar format. In Kongress, the

## kongress 25.07.80

=== debian/changelog ===
kongress (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:42:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.04.3~),
+               kosmindoormap-dev (>= 25.07.80~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.07.90

=== debian/changelog ===
kongress (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:52:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.07.80~),
+               kosmindoormap-dev (>= 25.07.90~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.08.0

=== debian/changelog ===
kongress (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.07.90~),
+               kosmindoormap-dev (>= 25.08.0~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,14 +6,14 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "6.5.0")
-set(KF_MIN_VERSION "6.1.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.12.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -49,7 +49,7 @@
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
 find_package(KF6KirigamiAddons 1.0 REQUIRED)
 find_package(KOSMIndoorMap REQUIRED)
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.12.0)
+ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.13.0)
 
 
 if (ANDROID)
@@ -72,10 +72,6 @@
     add_subdirectory(kongressac)
 endif()
 
-if (ANDROID)
-    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android/version.gradle.in ${CMAKE_BINARY_DIR}/version.gradle)
-endif()
-
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ki18n_install(po)
 endif()

=== kongressac/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,12 @@
     notificationhandler.cpp
     solidwakeupbackend.cpp
     wakeupmanager.cpp
+    calalarmclient.h
+    alarmsmodel.h
+    alarmnotification.h
+    notificationhandler.h
+    solidwakeupbackend.h
+    wakeupmanager.h
 )
 
 qt_add_dbus_adaptor(kongressac_SRCS org.kde.kongressac.xml calalarmclient.h CalAlarmClient)
@@ -20,12 +26,13 @@
 add_executable(kongressac ${kongressac_SRCS} ${RESOURCES})
 
 target_link_libraries(kongressac
-    KF${QT_MAJOR_VERSION}::CoreAddons
-    KF${QT_MAJOR_VERSION}::ConfigCore
-    KF${QT_MAJOR_VERSION}::CalendarCore
-    KF${QT_MAJOR_VERSION}::DBusAddons
-    KF${QT_MAJOR_VERSION}::Notifications
-    KF${QT_MAJOR_VERSION}::I18n
+    KF6::CoreAddons
+    KF6::ConfigCore
+    KF6::CalendarCore
+    KF6::DBusAddons
+    KF6::Notifications
+    KF6::I18n
+    KF6::Crash
     Qt::DBus
     )

=== debian/changelog ===
kongress (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:10:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.08.0~),
+               kosmindoormap-dev (>= 25.08.1~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.08.1+p24.04+vstable+git20250928.0626

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})
 
 set(QT_MIN_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.12.0")
+set(KF_MIN_VERSION "6.15.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
kongress (25.08.1+p24.04+vstable+git20250928.0626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:26:35 +0000

kongress (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:00:05 +0000

kongress (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:34:20 +0000

kongress (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:16:50 +0000

kongress (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:33:53 +0000

kongress (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:24:24 +0000

kongress (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:08:26 +0000

kongress (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:33:18 +0000

kongress (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:44:10 +0000

kongress (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:34:18 +0000

kongress (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:31:09 +0000

kongress (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:32:05 +0000

kongress (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:04:25 +0000

kongress (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:41:22 +0000

kongress (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:59:11 +0000

kongress (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:03:02 +0000

kongress (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:48:41 +0000

kongress (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:44:42 +0000

kongress (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:26:59 +0000

kongress (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:42:49 +0000

kongress (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:04:17 +0000

kongress (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:45:07 +0000

kongress (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:35:35 +0000

kongress (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:00:30 +0000

kongress (22.11-0neon) jammy; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 30 Nov 2022 14:48:06 +0000

## kongress 25.08.1+p24.04+vstable+git20251001.0052

=== debian/changelog ===
kongress (25.08.1+p24.04+vstable+git20251001.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:52:59 +0000

## kongress 25.08.2

=== debian/changelog ===
kongress (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:50:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.1.0~),
                kirigami-addons-dev (>= 1.0~),
-               kosmindoormap-dev (>= 25.08.1~),
+               kosmindoormap-dev (>= 25.08.2~),
                libkf6calendarcore-dev (>= 6.1.0~),
                libkf6colorscheme-dev (>= 6.1.0~),
                libkf6config-dev (>= 6.1.0~),

## kongress 25.08.2+p24.04+vstable+git20251015.0728

=== debian/changelog ===
kongress (25.08.2+p24.04+vstable+git20251015.0728-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:28:47 +0000

kongress (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:46:45 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf6 --buildsystem kf6

## kongress 25.08.2+p24.04+vstable+git20251018.2358

=== debian/changelog ===
kongress (25.08.2+p24.04+vstable+git20251018.2358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Oct 2025 23:58:33 +0000

=== debian/control ===
Source: kongress
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kosmindoormap-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/en/kongress
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/extras/kongress.git
Vcs-Browser: https://invent.kde.org/neon/extras/kongress
Maintainer: Neon CI <neon@kde.org>

Package: kongress
Architecture: any
Depends: kf6-kirigami-addons,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kosmindoormap,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: companion application for conferences made by KDE
 Kongress provides practical information about conferences. It supports
 conferences that offer their schedule in iCalendar format. In Kongress, the
 data of the talks are shown in various ways, e.g. in daily views, by talk
 category, etc. The users can also create a list of favorite conference
 talks/events as well as they can navigate to the web page of each talk. A map
 of the conference venue, location information and link to OpenStreetMap can
 also be added.

## kongress 25.08.2+p24.04+vstable+git20251031.1124

=== debian/changelog ===
kongress (25.08.2+p24.04+vstable+git20251031.1124-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 11:24:06 +0000

## kongress 25.08.2+p24.04+vunstable+git20251011.0839

=== debian/changelog ===
kongress (25.08.2+p24.04+vunstable+git20251011.0839-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:39:58 +0000

## kongress 25.08.2+p24.04+vunstable+git20251015.0738

=== debian/changelog ===
kongress (25.08.2+p24.04+vunstable+git20251015.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:38:32 +0000

## kongress 25.08.2+p24.04+vunstable+git20251020.0547

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})
@@ -48,7 +48,7 @@
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
 find_package(KF6KirigamiAddons 1.0 REQUIRED)
-find_package(KOSMIndoorMap REQUIRED)
+find_package(KOSMIndoorMap 25.08 REQUIRED)
 ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.13.0)

=== debian/changelog ===
kongress (25.08.2+p24.04+vunstable+git20251020.0547-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:47:15 +0000

## kongress 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kongress VERSION ${RELEASE_SERVICE_VERSION})
@@ -48,7 +48,7 @@
 
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config Kirigami2 I18n CalendarCore CoreAddons)
 find_package(KF6KirigamiAddons 1.0 REQUIRED)
-find_package(KOSMIndoorMap 25.08 REQUIRED)
+find_package(KOSMIndoorMap REQUIRED)
 ecm_set_disabled_deprecation_versions(QT 6.9.0 KF 6.13.0)

=== debian/changelog ===
kongress (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:26:24 +0000

=== debian/control ===
Source: kongress
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.1.0~),
               kirigami-addons-dev (>= 1.0~),
               kosmindoormap-dev (>= 25.08.3~),
               libkf6calendarcore-dev (>= 6.1.0~),
               libkf6colorscheme-dev (>= 6.1.0~),
               libkf6config-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6crash-dev (>= 6.1.0~),
               libkf6dbusaddons-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6notifications-dev (>= 6.1.0~),
               libkirigami-dev (>= 6.1.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qml6-module-qtlocation,
               qml6-module-qtpositioning,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/kongress
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kongress
Rules-Requires-Root: no

Package: kongress
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: companion application for conferences made by KDE
 Kongress provides practical information about conferences. It supports
 conferences that offer their schedule in iCalendar format. In Kongress, the
 data of the talks are shown in various ways, e.g. in daily views, by talk
 category, etc. The users can also create a list of favorite conference
 talks/events as well as they can navigate to the web page of each talk. A map
 of the conference venue, location information and link to OpenStreetMap can
 also be added.

## kongress 25.08.3+p24.04+vunstable+git20251202.2343

=== debian/changelog ===
kongress (25.08.3+p24.04+vunstable+git20251202.2343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 23:43:57 +0000

kongress (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:51 +1000

## kongress 25.08.3+p24.04+vunstable+git20251206.0513

=== debian/changelog ===
kongress (25.08.3+p24.04+vunstable+git20251206.0513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 05:13:49 +0000
